Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions()> _
<NonPersistent()> _
<CreatableItem(False)> _
<NavigationItem(False)> _
Public Class Customers_Change_PopUP
    Inherits BaseObject

    Private _Change_PaymentOption As Boolean
    Private _PaymentOption As PaymentOption
    Private _Change_ShipmentOption As Boolean
    Private _ShipmentOption As ShipmentOption
    Private _Change_QualityOption As Boolean
    Private _QualityOption As QualityOption
    Private _Change_IsAssetsHandling As Boolean
    Private _IsAssetsHandling As Boolean
    Private _Change_LateChargesCountMode As Boolean
    Private _LateChargesCountMode As LateChargesCountMode
    Private _Change_CreditlineDay As Boolean
    Private _CreditlineDay As Long
    Private _Change_Pricing As Boolean 'Árképzés ha vevő az ügyfél
    Private _Pricing As Pricing
    Private _Change_PricingIn As Boolean 'Árképzés ha vásárolunk tőle
    Private _PricingIn As Pricing
    Private _Change_CustomersGLParameters As Boolean 'Ügyfél főkönyvi kategária
    Private _CustomersGLParameters As CustomersGLParameters
    Private _Change_Profile As Boolean
    Private _Profile As String
    Private _Change_Country1 As Boolean
    Private _Country1 As Country
    Private _Change_Country2 As Boolean
    Private _Country2 As Country

    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
    End Sub

    Property Change_PaymentOption As Boolean
        Get
            Return _Change_PaymentOption
        End Get
        Set(value As Boolean)
            SetPropertyValue("Change_PaymentOption", _Change_PaymentOption, value)
        End Set
    End Property
    Public Property PaymentOption() As PaymentOption
        Get
            Return _PaymentOption
        End Get
        Set(ByVal value As PaymentOption)
            SetPropertyValue("PaymentOption", _PaymentOption, value)
        End Set
    End Property
    Property Change_ShipmentOption As Boolean
        Get
            Return _Change_ShipmentOption
        End Get
        Set(value As Boolean)
            SetPropertyValue("Change_ShipmentOption", _Change_ShipmentOption, value)
        End Set
    End Property
    Public Property ShipmentOption() As ShipmentOption
        Get
            Return _ShipmentOption
        End Get
        Set(ByVal value As ShipmentOption)
            SetPropertyValue("ShipmentOption", _ShipmentOption, value)
        End Set
    End Property
    Property Change_QualityOption As Boolean
        Get
            Return _Change_QualityOption
        End Get
        Set(value As Boolean)
            SetPropertyValue("Change_QualityOption", _Change_QualityOption, value)
        End Set
    End Property
    Public Property QualityOption() As QualityOption
        Get
            Return _QualityOption
        End Get
        Set(ByVal value As QualityOption)
            SetPropertyValue("QualityOption", _QualityOption, value)
        End Set
    End Property
    Property Change_IsAssetsHandling As Boolean
        Get
            Return _Change_IsAssetsHandling
        End Get
        Set(value As Boolean)
            SetPropertyValue("Change_IsAssetsHandling", _Change_IsAssetsHandling, value)
        End Set
    End Property
    Property IsAssetsHandling As Boolean
        Get
            Return _IsAssetsHandling
        End Get
        Set(value As Boolean)
            SetPropertyValue("IsAssetsHandling", _IsAssetsHandling, value)
        End Set
    End Property
    Property Change_LateChargesCountMode As Boolean
        Get
            Return _Change_LateChargesCountMode
        End Get
        Set(value As Boolean)
            SetPropertyValue("Change_LateChargesCountMode", _Change_LateChargesCountMode, value)
        End Set
    End Property
    Property LateChargesCountMode As LateChargesCountMode
        Get
            Return _LateChargesCountMode
        End Get
        Set(value As LateChargesCountMode)
            SetPropertyValue("LateChargesCountMode", _LateChargesCountMode, value)
        End Set
    End Property
    Property Change_CreditlineDay As Boolean
        Get
            Return _Change_CreditlineDay
        End Get
        Set(value As Boolean)
            SetPropertyValue("Change_CreditlineDay", _Change_CreditlineDay, value)
        End Set
    End Property
    Property CreditlineDay As Long
        Get
            Return _CreditlineDay
        End Get
        Set(value As Long)
            SetPropertyValue("CreditlineDay", _CreditlineDay, value)
        End Set
    End Property
    Property Change_Pricing As Boolean
        Get
            Return _Change_Pricing
        End Get
        Set(value As Boolean)
            SetPropertyValue("Change_Pricing", _Change_Pricing, value)
        End Set
    End Property
    Property Pricing As Pricing
        Get
            Return _Pricing
        End Get
        Set(ByVal value As Pricing)
            SetPropertyValue("Pricing", _Pricing, value)
        End Set
    End Property
    Property Change_PricingIn As Boolean
        Get
            Return _Change_PricingIn
        End Get
        Set(value As Boolean)
            SetPropertyValue("Change_PricingIn", _Change_PricingIn, value)
        End Set
    End Property
    Property PricingIn As Pricing
        Get
            Return _PricingIn
        End Get
        Set(ByVal value As Pricing)
            SetPropertyValue("PricingIn", _PricingIn, value)
        End Set
    End Property
    Property Change_CustomersGLParameters As Boolean
        Get
            Return _Change_CustomersGLParameters
        End Get
        Set(value As Boolean)
            SetPropertyValue("Change_CustomersGLParameters", _Change_CustomersGLParameters, value)
        End Set
    End Property
    Property CustomersGLParameters() As CustomersGLParameters
        Get
            Return _CustomersGLParameters
        End Get
        Set(ByVal value As CustomersGLParameters)
            SetPropertyValue("CustomersGLParameters", _CustomersGLParameters, value)
        End Set
    End Property
    Property Change_Profile As Boolean
        Get
            Return _Change_Profile
        End Get
        Set(value As Boolean)
            SetPropertyValue("Change_Profile", _Change_Profile, value)
        End Set
    End Property
    Property Profile As String
        Get
            Return _Profile
        End Get
        Set(value As String)
            SetPropertyValue("Profile", _Profile, value)
        End Set
    End Property
    Property Change_Country1 As Boolean
        Get
            Return _Change_Country1
        End Get
        Set(value As Boolean)
            SetPropertyValue("Change_Country1", _Change_Country1, value)
        End Set
    End Property
    Property Country1 As Country
        Get
            Return _Country1
        End Get
        Set(value As Country)
            SetPropertyValue("Country1", _Country1, value)
        End Set
    End Property
    Property Change_Country2 As Boolean
        Get
            Return _Change_Country2
        End Get
        Set(value As Boolean)
            SetPropertyValue("Change_Country2", _Change_Country2, value)
        End Set
    End Property
    Property Country2 As Country
        Get
            Return _Country2
        End Get
        Set(value As Country)
            SetPropertyValue("Country2", _Country2, value)
        End Set
    End Property
End Class
